<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

ini_set('display_errors', 1);
error_reporting(E_ERROR);

$maindb = "compmast";
$formname = "Company Print";
$file = "company_mast_print.php";
$mgrpcode = "010";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
// mysqli_select_db($conn, $zdb);

// $state = $_POST["state"];
// $statecond = "";
// if (!empty($state)) {
//     $statecond = " AND `state` = '$state' ";
// }

$name = $_POST["name"];
$country = $_POST["country"];
$city = $_POST["city"];

$namecond = "";
$countrycond = "";
$citycond = "";

if (!empty($name)) {
    $namecond = " AND `code`='$name' ";
}
if (!empty($country)) {
    $countrycond = " AND `country` = '$country' ";
}
if (!empty($city)) {
    $citycond = " AND `city` = '$city' ";
}

$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code != '' $namecond $citycond $countrycond ORDER BY `name`") or die(mysqli_error($conn));

if (isset($_POST["view"])) {
    include("includes/linkshead.php");
?>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <div class="row" id="printdivcontent">

                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover table-bordered">
                        <tr class="mySearchTr">
                            <th width="5%">Sr</th>
                            <th width="15%">Name</th>
                            <th width="25%">Address</th>
                            <th width="10%">Country</th>
                            <th width="10%">City</th>
                            <th width="10%">Email</th>
                            <th width="5%">Pin</th>
                            <th width="7%">Tel</th>
                            <th width="10%">Insurance No</th>
                            <th width="10%">VAT No.</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            echo "<tr class='bgwhite'>";
                            echo "<td>$ctr</td>";
                            echo "<td>$pmain[name]</td>";
                            echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            echo "<td>$pmain[country]</td>";
                            echo "<td>$pmain[city]</td>";
                            echo "<td>$pmain[email]</td>";
                            echo "<td>$pmain[pin]</td>";
                            echo "<td>$pmain[tel]</td>";
                            echo "<td>$pmain[insurance]</td>";
                            echo "<td>$pmain[vatno]</td>";
                            echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>

    </html>
<?
}

if (isset($_POST["excel"])) {

    $contents .= "Sr, Name, Address, Country, City, Email, Pin, Tel, Insurance No, VAT No. \n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $contents .= "$ctr" . ",";
        $contents .= "$pmain[name]" . ",";
        $contents .= "$pmain[add1]" . "$pmain[add2]" . "$pmain[add3]" . ",";
        $contents .= "$pmain[country]" . ",";
        $contents .= "$pmain[city]" . ",";
        $contents .= "$pmain[email]" . ",";
        $contents .= "$pmain[pin]" . ",";
        $contents .= "$pmain[tel]" . ",";
        $contents .= "$pmain[insurance]" . ",";
        $contents .= "$pmain[vatno]" . "\n";
        $ctr++;
    }

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>